from django import template

import datetime

register = template.Library()

@register.filter
def dt_week(dt):
    return dt.isocalendar()[1]

@register.filter
def dt_prettyprint(dt):
    return "{0}/{1:02d}/{2:02d}".format(dt.year, dt.month, dt.day)
